/*
 *  2014-09-12: this file was modified by International Business Machines Corporation.
 *  Modifications Copyright 2014 IBM Corporation.
 */

/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package javax.sql.rowset;

import java.sql.SQLException;

public class RowSetWarning extends SQLException {
    private static final long serialVersionUID = 6678332766434564774L;

    private RowSetWarning rwarning;

    public RowSetWarning() {
        super();
    }

    public RowSetWarning(String reason) {
        super(reason);
    }

    public RowSetWarning(String reason, String sqlState) {
        super(reason, sqlState);
    }

    public RowSetWarning(String reason, String sqlState, int vendorCode) {
        super(reason, sqlState, vendorCode);
    }

    public RowSetWarning getNextWarning() {
        return rwarning;
    }

    public void setNextWarning(RowSetWarning nextWarning) {
        this.rwarning = nextWarning;
    }
}
