/*
 *  2014-09-12: this file was modified by International Business Machines Corporation.
 *  Modifications Copyright 2014 IBM Corporation.
 */

/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package javax.sql.rowset.spi;

import java.sql.SQLException;

import com.sun.rowset.internal.SyncResolverImpl;

public class SyncProviderException extends SQLException {
    private static final long serialVersionUID = -939908523620640692L;

    private SyncResolver syncResolver;

    public SyncProviderException() {
        super();
    }

    public SyncProviderException(String msg) {
        super(msg);
    }

    public SyncProviderException(SyncResolver syncResolver) {
        super();
        if (syncResolver == null) {
            throw new IllegalArgumentException();
        }
        this.syncResolver = syncResolver;
    }

    public SyncResolver getSyncResolver() {
    	if (syncResolver != null) {
            return syncResolver;
        } else {
            try {
              syncResolver = new com.sun.rowset.internal.SyncResolverImpl();
            } catch (SQLException sqle) {
            }
            return syncResolver;
        }

    }

    public void setSyncResolver(SyncResolver syncResolver) {
        if (syncResolver == null) {
            throw new IllegalArgumentException();
        }
        this.syncResolver = syncResolver;
    }
}
